﻿var map = null;
var pinLayer = new VEShapeLayer();
var firstLoad = true;

function CreateMap() {
    //debugger;
    if (!firstLoad) {
        map.LoadMap(map.GetCenter());
        return;
    }
    
    firstLoad = false;

    map = new VEMap('mMap');
    map.LoadMap(new VELatLong(0,0));

    map.AddShapeLayer(pinLayer);

    // Fix weird resize issues
    window.onresize = Resize;
    window.onunload = function (evt) {
    //debugger;
    }
}

function addPin() {
    //debugger;
    var pin = new VEShape(VEShapeType.Pushpin, new VELatLong(0,0));
    pinLayer.AddShape(pin);
}

// Helper Functions

function Resize() {
    //debugger;
    // I do not know why the offset dimensions are required, but the results are squiffy if you use the regular ones!
    map.Resize(document.documentElement.offsetWidth, document.documentElement.offsetHeight);
    // Strange fix for info boxes
    window.ero.setBoundingArea(new Msn.VE.Geometry.Point(0, 0), new Msn.VE.Geometry.Point(document.documentElement.offsetWidth, document.documentElement.offsetHeight));
}